import 'package:flutter/material.dart';


class PaymentPageContentLayout extends StatelessWidget {
  final double maxWidth;
  final EdgeInsets padding;
  final Widget child;

  const PaymentPageContentLayout({
    super.key,
    required this.maxWidth,
    required this.padding,
    required this.child,
  });

  @override
  Widget build(BuildContext context) {
    return Align(
      alignment: Alignment.topCenter,
      child: ConstrainedBox(
        constraints: BoxConstraints(maxWidth: maxWidth),
        child: SingleChildScrollView(
          padding: padding,
          child: child,
        ),
      ),
    );
  }
}
